%define poptmodule poptmodule.so
%define conflicts_with_rpm 1 

Name: python-popt
Version: 0.8.8
Release: 7.x.2
Group: Development/Libraries
Source: %{name}-%{version}.tar.bz2
License: GPL
BuildRoot: /var/tmp/%{name}-%{version}-root
Summary: Python bindings for the popt library
Requires: python
%ifarch ia64
Provides: %{poptmodule}
%endif
%if %{conflicts_with_rpm}
Conflicts: rpm < 4.0.4
%endif

%description
This module provides Python bindings to the popt library.

The popt library provides useful command-line parsing functions.
The latest version of the popt library is distributed with rpm

%prep
%setup

%build
make POPTMODULE=%{poptmodule}

%install
make install PREFIX=$RPM_BUILD_ROOT/usr POPTMODULE=%{poptmodule}

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc README
/usr/lib/python1.5/site-packages/%{poptmodule}

# $Id: python-popt.spec,v 1.12 2002/03/28 00:45:09 alikins Exp $
%changelog
* Wed Mar 27 2002 Adrian Likins <alikins@redhat.com>
- fix conflicts, the rpm < 4.0.4 conflict is only valid on 7.2
* Mon Mar 18 2002 Adrian Likins <alikins@redhat.com>
- conflict with rpm < 4.0.4
* Tue Mar  5 2002 Adrian Likins <alikins@redhat.com>
- add define for 7.0/7.1 up2datepoptmodule flexibility
* Mon Jan 28 2002 Mihai Ibanescu <misa@redhat.com>
- Removed the python version
* Thu Jan 17 2002 Adrian Likins <alikins@redhat.com>
- changed back to poptmodule.so
* Mon Nov 12 2001 Adrian Likins <alikins@redhat.com>
- changed name to up2datepopt to avoid conflicts
- provide "up2datepoptmodule.so" explicitly for ia64
* Tue Jul 17 2001 Mihai Ibanescu <misa@redhat.com>
- Checked into CVS
* Sun Jul 15 2001 Mihai Ibanescu <misa@redhat.com>
- Requires python = 1.5.2
* Tue Jul 10 2001 Mihai Ibanescu <misa@redhat.com>
- Initial release
